@ECHO OFF

IF NOT EXIST TCLITE.EXE GOTO WRONG_DRIVE
IF .%1 == . GOTO NEED_DRIVE
IF NOT EXIST %1\NUL GOTO INVALID_DRIVE

CLS
ECHO ÿ
ECHO  ÉÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍ»
ECHO  º "C Programming in 12 Easy Lessons"     DISK INSTALLATION º
ECHO  º                                                          º
ECHO  º (c)1994 Sams Publishing                                  º
ECHO  ÈÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍ¼
ECHO ÿ
ECHO ÿ
ECHO  ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
ECHO  ³ You have chosen to install the TCLite compiler, source   ³
ECHO  ³ code files, and lesson answers to your %1 drive.         ³
ECHO  ³                                                          ³
ECHO  ³                                                          ³
ECHO  ³ If this is NOT what you want to do, press the Ctrl+C     ³
ECHO  ³ key combination to stop this batch program.              ³
ECHO  ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
ECHO ÿ
ECHO ÿ
ECHO ÿ
PAUSE 
CLS
ECHO  ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
ECHO  ³  The software for "C Programming in 12 Easy Lessons" will now   ³
ECHO  ³  be installed to your %1 drive.  You'll see a message telling   ³
ECHO  ³  you when the installation is finished.                         ³
ECHO  ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
ECHO ÿ

TCLITE %1\TCLITE
IF ERRORLEVEL 1 GOTO PROBLEM
C12 %1\C12 
IF ERRORLEVEL 1 GOTO PROBLEM
%1

CLS
ECHO 
ECHO ÿ
ECHO  ÉÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍ»
ECHO  º                  SOFTWARE SUCCESSFULLY INSTALLED                   º
ECHO  º                                                                    º
ECHO  º The "C Programming in 12 Easy Lessons" installation is complete!   º
ECHO  º                                                                    º
ECHO  º The TCLite compiler is stored in the %1\TCLITE directory.          º
ECHO  º The source code is stored in the %1\C12\SOURCE subdirectory.       º
ECHO  º The project code is stored in the %1\C12\PROJECTS subdirectory.    º
ECHO  º The answers are stored in the %1\C12\ANSWERS subdirectory.         º
ECHO  º                                                                    º 
ECHO  º Be sure to read the book for more information!  You need to        º
ECHO  º modify your AUTOEXEC.BAT file before running the TCLite compiler.  º
ECHO  ÈÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍ¼
ECHO ÿ
ECHO ÿ
GOTO FINISHED

:NEED_DRIVE
CLS
ECHO 
ECHO ÿ
ECHO  ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
ECHO  ³                                                             ³
ECHO  ³ You have not specified the name of your hard drive.         ³
ECHO  ³ For the installation to work, you need to type              ³
ECHO  ³                                                             ³
ECHO  ³ INSTALL drive:                                              ³
ECHO  ³                                                             ³
ECHO  ³ (drive: is the drive letter of your hard drive)             ³
ECHO  ³                                                             ³
ECHO  ³ For example, to install to your C: drive...                 ³
ECHO  ³                                                             ³
ECHO  ³ INSTALL C:                                                  ³
ECHO  ³                                                             ³
ECHO  ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
ECHO ÿ
ECHO ÿ
GOTO FINISHED

:INVALID_DRIVE
CLS
ECHO 
ECHO ÿ
ECHO ÿ
ECHO  ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿ 
ECHO  ³ Please run the install program again and select an available drive. ³ 
ECHO  ³                                                                     ³ 
ECHO  ³ For example, if drive D: is available, type                         ³ 
ECHO  ³                                                                     ³
ECHO  ³ INSTALL D:                                                          ³
ECHO  ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
ECHO ÿ
ECHO ÿ
GOTO FINISHED

:PROBLEM
CLS
ECHO 
ECHO ÿ
ECHO ÿ
ECHO  ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿ 
ECHO  ³                                                                     ³
ECHO  ³  An error occured during the installation. Make sure that there is  ³ 
ECHO  ³  at least 2.5 megabytes of free space on your %1 hard drive.        ³
ECHO  ³                                                                     ³
ECHO  ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
ECHO ÿ
ECHO ÿ
GOTO FINISHED

:WRONG_DRIVE
CLS
ECHO 
ECHO ÿ
ECHO  ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
ECHO  ³                                                             ³
ECHO  ³ You must change to the drive that contains the installation ³
ECHO  ³ disk before you run the INSTALL program.                    ³
ECHO  ³                                                             ³
ECHO  ³ Type A: and press the Enter key if the disk is in drive A:  ³
ECHO  ³ Type B: and press the Enter key if the disk is in drive B:  ³
ECHO  ³                                                             ³
ECHO  ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
ECHO ÿ
ECHO ÿ
GOTO FINISHED

:FINISHED
